﻿Type=Service
Version=3.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals

	Dim rv As RemoteViews 
	Dim gpsClient As GPS
	Dim strLat As String
	Dim strLon As String

End Sub
Sub Service_Create

	rv = ConfigureHomeWidget("lyoGPS", "rv", 30, "ABG-GPS", True)
	gpsClient.Initialize("gpsClient")

End Sub

Sub Service_Start (StartingIntent As Intent)

	If rv.HandleWidgetEvents(StartingIntent) Then Return

End Sub

Sub Obtiene_Ubicacion()

If gpsClient.GPSEnabled=False Then
    StartActivity(gpsClient.LocationSettingsIntent)
	Else
		gpsClient.Start(0, 0)
		rv.SetText("lblLat", "Esperando localización de GPS")
	End If
	
	rv.UpdateWidget

End Sub
	
Sub gpsClient_LocationChanged (gpsLocation As Location)

	strLat = gpsLocation.ConvertToMinutes(gpsLocation.Latitude)
	strLon = gpsLocation.ConvertToMinutes(gpsLocation.Longitude)
	
	PintaInfo(strLat, strLon)
	
End Sub

Sub PintaInfo(Latit As String, Longi As String)

	rv.SetText("lblLat", "Lat = " & Latit)
	rv.SetText("lblLon", "Lon = " & Longi)
	
	Log("LATITUD:    " & Latit)
	Log("LONGITUD:   " & Longi)
	
End Sub

Sub rv_RequestUpdate

	Obtiene_Ubicacion

End Sub

Sub rv_Disabled
	StopService("")
End Sub


Sub Service_Destroy

End Sub
